#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		svers		1.0
#-----------------------------------------------------------------------------
Name		:	libpeas
Version		:	1.36.0
Release		:	17.0.10.rel%{?dist}
Summary		:	A gobject-based plugins engine.

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://ftp.gnome.org/pub/gnome/sources/libpeas

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gi-docgen
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	gtk-doc
BuildRequires	:	glade
BuildRequires	:	intltool
BuildRequires	:	lua
BuildRequires	:	python3-Jinja2
BuildRequires	:	python3-MarkupSafe
BuildRequires	:	python3-markdown
BuildRequires	:	python3-pygobject
BuildRequires	:	python3-typogrify

Requires(post)	:	gtk3+
#-----------------------------------------------------------------------------
%description
'%{name}' is a gobject-based plugins engine, and is
targetted at giving every application the chance to
assume its own extensibility. It is currently used by
several Gnome applications like gedit and Totem.

It takes its roots in the old gedit plugins engine,
and provides an extensive set of features mirroring
the desiderata of most of the applications providing
an extension framework.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/peas-demo
%{_includedir}/%{name}-1.0/%{name}*/*.h
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/%{name}*.so*
%{_libdir}/%{name}-1.0/loaders/*.so
%{_libdir}/peas-demo/plugins/*/*.{plugin,so}
%{_libdir}/peas-demo/plugins/pythonhello/*.py
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/glade/catalogs/%{name}-gtk.xml
%{_defaultdocdir}/%{name}-%{svers}/*.css
%{_defaultdocdir}/%{name}-%{svers}/*.html
%{_defaultdocdir}/%{name}-%{svers}/*.js
%{_defaultdocdir}/%{name}-%{svers}/*.json
%{_defaultdocdir}/%{name}-%{svers}/*.png
%{_defaultdocdir}/%{name}-%{svers}/*.xml
%{_defaultdocdir}/%{name}-%{svers}/%{name}-%{svers}.devhelp2
%{_defaultdocdir}/%{name}-gtk-%{svers}/*.css
%{_defaultdocdir}/%{name}-gtk-%{svers}/*.html
%{_defaultdocdir}/%{name}-gtk-%{svers}/*.png
%{_defaultdocdir}/%{name}-gtk-%{svers}/*.js
%{_defaultdocdir}/%{name}-gtk-%{svers}/index.json
%{_defaultdocdir}/%{name}-gtk-%{svers}/*.xml
%{_defaultdocdir}/%{name}-gtk-%{svers}/%{name}-gtk-%{svers}.devhelp2
%{_datadir}/icons/hicolor/*/actions/%{name}-plugin.png
%{_datadir}/icons/hicolor/scalable/actions/%{name}-plugin.svg
%{_datadir}/locale/*/LC_MESSAGES/%{name}-1.0.mo

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor > /dev/null 2>&1
  gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  fi
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig
gtk-update-icon-cache -t %{_datadir}/icons/hicolor  > /dev/null 2>&1

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D gtk_doc=true					\
	build


%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
